package cn.reghao.bnt.web.devops.builder.chain;

import cn.reghao.bnt.web.devops.builder.chain.impl.*;

import java.util.ArrayList;
import java.util.List;

/**
 * @author reghao
 * @date 2022-05-09 11:14:25
 */
public class BuildHandlers {
    public static List<Handler<BuildChainParam, BuildChainResult>> buildHandlerList() {
        List<Handler<BuildChainParam, BuildChainResult>> list = new ArrayList<>();
        list.add(new UpdateHandler());
        list.add(new CompileHandler());
        list.add(new PackHandler());
        return list;
    }
}
